/Total moves/ {
	nmatches++;
	totalMoves1 += $3;
	totalMoves2 += $4;
}
/Unforced moves/ {
  unforcedMoves1 = $3;
  unforcedMoves2 = $4;
  totalUnforcedMoves1 += unforcedMoves1;
  totalUnforcedMoves2 += unforcedMoves2;

}
/Close or actual cube decisions/ {
  unforcedCubes1 = $6;
  unforcedCubes2 = $7;
  totalUnforcedCubes1 += unforcedCubes1; 
  totalUnforcedCubes2 += unforcedCubes2; 
}
/Total cube decisions/ {
  totalCubes1 += $4;
  totalCubes2 += $5;
}
/Takes/ {
  takes1 = $2;
  takes2 = $3;
}
/Error rate \(total/ {
  errCounter++;
  sub(/\(/," ",$0);
  sub(/\(/," ",$0);
  sub(/\(/," ",$0);
  sub(/\)/," ",$0);
  sub(/\)/," ",$0);
  sub(/\)/," ",$0);
  if(errCounter%3 == 1) {
	err1moves[nmatches] = $4/unforcedMoves1;
	err2moves[nmatches] = $6/unforcedMoves2;
	av_err1moves += err1moves[nmatches];
	av_err2moves += err2moves[nmatches];
  } else if(errCounter%3 == 2) {
	if(unforcedCubes1 == 0) {
	  err1cubes[nmatches] = 0;
	} else {
	  err1cubes[nmatches] = $4/unforcedCubes1;
	}
	if(unforcedCubes2 == 0) {
	  err2cubes[nmatches] = 0;
	} else {
	  err2cubes[nmatches] = $6/unforcedCubes2;
	}
	av_err1cubes += err1cubes[nmatches];
	av_err2cubes += err2cubes[nmatches];
  } else if(errCounter%3 == 0) {
	err1tot[nmatches] = $4/(unforcedMoves1+unforcedCubes1);
	err2tot[nmatches] = $6/(unforcedMoves2+unforcedCubes2);
	av_err1tot += err1tot[nmatches];
	av_err2tot += err2tot[nmatches];
  }
}
/Luck adjusted result/ {
  sub(/\%/," ",$0);
  sub(/\%/," ",$0);
# before aug 17 2003 builds:
#  lares1[nmatches] = $4/100;
# after auf 17 2003 builds:
  lares1[nmatches] = (50+$4)/100;
  av_lares1 += lares1[nmatches];
}
END {
  av_err1moves /= nmatches;
  av_err2moves /= nmatches;
  av_err1cubes /= nmatches;
  av_err2cubes /= nmatches;
  av_err1tot /= nmatches;
  av_err2tot /= nmatches;
  av_lares1 /= nmatches;
  av_errDiffmoves = av_err2moves - av_err1moves;
  av_errDiffcubes = av_err2cubes - av_err1cubes;
  av_errDifftot = av_err2tot - av_err1tot;
  for(i=1;i<=nmatches;i++) {
	varDiffErrmoves += (err2moves[i]-err1moves[i]-av_errDiffmoves)*(err2moves[i]-err1moves[i]-av_errDiffmoves);
	varDiffErrcubes += (err2cubes[i]-err1cubes[i]-av_errDiffcubes)*(err2cubes[i]-err1cubes[i]-av_errDiffcubes);
	varDiffErrtot += (err2tot[i]-err1tot[i]-av_errDifftot)*(err2tot[i]-err1tot[i]-av_errDifftot);
	varLares1 += (lares1[i]-av_lares1)*(lares1[i]-av_lares1);
  }
  varDiffErrmoves /= nmatches;
  varDiffErrcubes /= nmatches;
  varDiffErrtot /= nmatches;
  varLares1 /= nmatches;
  sigmaDiffErrmoves = sqrt(varDiffErrmoves);
  sigmaDiffErrcubes = sqrt(varDiffErrcubes);
  sigmaDiffErrtot = sqrt(varDiffErrtot);
  sigmaLares1 = sqrt(varLares1);
  conf90DiffErrmoves = 1.645*sigmaDiffErrmoves/sqrt(nmatches);
  conf90DiffErrcubes = 1.645*sigmaDiffErrcubes/sqrt(nmatches);
  conf90DiffErrtot = 1.645*sigmaDiffErrtot/sqrt(nmatches);
  conf90Lares1 = 1.645*sigmaLares1/sqrt(nmatches);
  minlaP = av_lares1 - conf90Lares1;
  maxlaP = av_lares1 + conf90Lares1;
  if(0<minlaP && minlaP<1) {
	minlaR = -(2000/log(10))/sqrt(matlen)*log(1/minlaP -1);
  } else {
	minlaR = 0;
  }
  if(0<maxlaP && maxlaP<1) {
	maxlaR = -(2000/log(10))/sqrt(matlen)*log(1/maxlaP -1);
  } else {
	maxlaR = 0;
  }
  if(0<av_lares1 && av_lares1<1) {
	avlaR = -(2000/log(10))/sqrt(matlen)*log(1/av_lares1 -1);
  } else {
	avlaR = 0;
  }

  printf("N=%d %dpt R=[%4.1f %4.1f %4.1f] Etot=%f [+-%f] Emv=%f [+-%f] Ecu=%f [+-%f]\n",nmatches,matlen,minlaR,avlaR,maxlaR,av_errDifftot,conf90DiffErrtot,av_errDiffmoves,conf90DiffErrmoves,av_errDiffcubes,conf90DiffErrcubes);
printf("Per match: moves=(%f,%f) unforcedMoves=(%f,%f) cubeDecisions=(%f,%f) ",totalMoves1/nmatches,totalMoves2/nmatches,totalUnforcedMoves1/nmatches,totalUnforcedMoves2/nmatches,totalCubes1/nmatches,totalCubes2/nmatches);
 printf("unforcedCubeDecisions=(%f,%f)\n",totalUnforcedCubes1/nmatches,totalUnforcedCubes2/nmatches);
 printf("%f %f %f %f %f %f\n",minlaR,avlaR,maxlaR,av_errDifftot,av_errDiffmoves,av_errDiffcubes);

}
